using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class Order_SubtotalsAccess  : Daolite.BusinessAccess
	{

		public  Order_SubtotalsAccess() : base("Order_Subtotals", NwindConfiger.GetConfiger())
		{
		}


		public Order_Subtotals[] Query()
		{
			return base.Query<Order_Subtotals>();
		}


		public Order_Subtotals[] QueryRelated()
		{
			return base.QueryRelated<Order_Subtotals>();
		}


		public Order_Subtotals QueryOne(bool isRelated)
		{
			return base.QueryOne<Order_Subtotals>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
